www.digitalmars.com         C & C++   DMDScript  

digitalmars.empire - Looking for a version of empire I can play on Vista...

reply Player <Bass va.metrocast.net> writes:
I have a copy of Empire I ahve kept running in - ah - numerous
computers since about 1990.   It is version 2.05.  It will not run
on Vista.  Anyone know of a version that can be purchased and
downloaded that will run on Vista?  Thanks!
Dec 23 2008
next sibling parent NeverOutofTune <rcdddude-a1 yahoo.com> writes:
I, too, am looking for a version to use with Vista.  I can run
2.03 but can not reload saved games.  I get Access Violation
errors.

I have tried various compatibility options, turned off User Access
Control.  Sometimes I can reload games but most of the time I can
not.

There is an updated version at http://www.killerbeesoftware.com
that has more graphics and but I really like this version.

I'll keep trying.

I did load Virtual PC 2007 and fired up Windows XP in a virtual
window and got Empire to work but the response time is too slow.
Dec 25 2008
prev sibling parent Stewart Gordon <smjg_1998 yahoo.com> writes:
Player wrote:
 I have a copy of Empire I ahve kept running in - ah - numerous
 computers since about 1990.   It is version 2.05.  It will not run
 on Vista.  Anyone know of a version that can be purchased and
 downloaded that will run on Vista?  Thanks!

Where did you find version 2.05? The latest official version on the website is 2.01. But do try the version I've contributed ftp://ftp.classicempire.com/stewart.zip You might need to do a few things to get it to compile under current DMD. Unfortunately I'm away from my Vista box at present, so can't test it thereon. Stewart.
Dec 28 2008